
QGIS Application - Feature request #15069

Manage Layers Toolbar - Add GeoPackage Layer
Status: Open

Priority: Normal

Assignee:

Category: Browser

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 23012

Description

Pleas implement a button/dialog in the 'Manage Layers Toolbar' to add a GeoPackage layer.

History

#1 - 2016-06-18 11:59 PM - Matthias Kuhn

- Resolution set to wontfix

- Status changed from Open to Closed

What is the reasoning behind this?

You can use the "Add Vector Layer" button to add a GeoPackage layer.

For technical reasons, there is one button per provider.

Adding one button per supported GDAL/OGR source type would fill half the screen with icons.

#2 - 2016-06-19 12:52 AM - R. R.

I don't understand why there is an 'Add SpatiaLite Layer' button but no 'Add GeoPackage Layer' button. It's also possible to add SpatiaLite layers in the

'Add Vector Layer' dialog. The buttons in the 'Manage Layers Toolbar' are not consistent and may confuse users. A grouped 'Add SpatiaLite Layer'/'Add

GeoPackage Layer' button will not waste any space on the screen and both data providers can share the same dialog for adding a new layer.

Moreover using the 'Add Vector Layer' button, SpatiaLite/GeoPackage layers in the layers panel are named '<database><space><layername>' or if the

database contains only a single layer '<database><space><layername><space><geometry type>'. So I've to rename the layers all the time.

#3 - 2017-05-10 05:07 PM - Regis Haubourg

- Category set to Browser

- Status changed from Closed to Open

I reopen this because will triaging feature requests it really appears as in inconsistency in UI. Geopackage can be seen either as ogr file datasource or DB

connection, just as spatialite. 

In DB manager, we have a geopackage entry. Other DB connection of DB manager are reused from QGIS connections. 

I'd be in favor of having Geopackage in Browser and datasource toolbar too. That toolbar is overcrowded but should be replaced by the "One Button to rule

them all":)

IMO we should push Geopackage as the new default format and be sure it's easily usable from everywhere. (why not add it as the default format for saving

actions)

#4 - 2017-05-10 05:07 PM - Regis Haubourg
- Subject changed from Mange Layers Toolbar - Add GeoPackage Layer to Manage Layers Toolbar - Add GeoPackage Layer

#5 - 2017-05-10 09:14 PM - Giovanni Manghi

Regis Haubourg wrote:

I reopen this because will triaging feature requests it really appears as in inconsistency in UI. Geopackage can be seen either as ogr file datasource

or DB connection, just as spatialite. 

In DB manager, we have a geopackage entry. Other DB connection of DB manager are reused from QGIS connections. 

I'd be in favor of having Geopackage in Browser and datasource toolbar too. That toolbar is overcrowded but should be replaced by the "One Button

to rule them all":)

IMO we should push Geopackage as the new default format and be sure it's easily usable from everywhere. (why not add it as the default format for

saving actions)

Hi Regis, there is already somewhere a ticket about adding gpkg in browser and to fix all the inconsistencies around about this format. Not finding it at the

moment.
